Bug 427528 - assist NetworkManager in supporting hidden SSID networks
assist NetworkManager in supporting hidden SSID networks
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: John W. Linville
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-04 08:55 EST by John W. Linville
Modified: 2009-06-19 22:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: RHBA-2008-0314
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
jwltest-wext-scan-cap.patch (2.33 KB, patch)
2008-01-04 08:55 EST, John W. Linville
no flags Details | Diff
/var/log/messages (63.11 KB, text/plain)
2008-01-18 02:17 EST, Jane Lv
no flags Details

  None (edit)
Description John W. Linville 2008-01-04 08:55:48 EST
Current wireless extensions API does not give sufficient information for NM to 
know how to configure wpa_supplicant to support association with wireless 
networks that do not broadcast their SSID in beacon frames.  A simple patch 
has been merged upstream which extends the API to provide the necessary clue.

This bug is intended to cover backporting of that patch on top of the wireless 
patches already pending for 5.2.
Comment 1 John W. Linville 2008-01-04 08:55:48 EST
Created attachment 290846 [details]
jwltest-wext-scan-cap.patch
Comment 2 RHEL Product and Program Management 2008-01-04 09:05:54 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 Dan Williams 2008-01-10 18:41:14 EST
Have implemented this in upstream NetworkManager upstream trunk and stable
branches, can easily backport this to RHEL5.
Comment 4 Dan Williams 2008-01-17 14:44:52 EST
Testing NetworkManager packages available here with the scan capability
functionality:

http://people.redhat.com/dcbw/NetworkManager/RHEL-5/
Comment 5 Dan Williams 2008-01-17 14:49:05 EST
Please attach the output of "cat /var/log/messages", especially the first 10
lines or so containing the word "NetworkManager". You should see some text like:

NetworkManager: <information> eth1: driver does not support SSID scans
(scan_capa 0x00)

if the driver does not support SSID scans or if the kernel does not have the
patch from this issue.

You should see something like:

NetworkManager: <information> eth1: driver supports SSID scans (scan_capa 0x01)

if the driver _does_ support SSID scans and the kernel has the correct support
enabled.
Comment 6 John W. Linville 2008-01-17 15:40:46 EST
This is the kernel bug -- get your own! :-)
Comment 8 Jane Lv 2008-01-18 02:15:32 EST
I retested the hidden ap case with NetworkManager test package on kernel
jwltest.50.i686 from Linville.  NetworkManager works fine on connecting hidden AP.

In /var/log/messages, I can see the information that "driver supports SSID scans". 

Jan 17 13:55:55 jane-sr NetworkManager: <information>	starting... 
Jan 17 13:55:55 jane-sr NetworkManager: <information>	wlan0: Device is
fully-supported using driver 'iwl4965'. 
Jan 17 13:55:55 jane-sr NetworkManager: <information>	wlan0: driver supports
SSID scans (scan_capa 0x01). 

More log from /var/log/messages will be attached, in case you still need it. :)
Comment 9 Jane Lv 2008-01-18 02:17:48 EST
Created attachment 292111 [details]
/var/log/messages
Comment 10 Don Zickus 2008-01-22 13:52:09 EST
in 2.6.18-72.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 11 Jane Lv 2008-01-23 01:02:35 EST
Tested the kernel 2.6.18-72.el5, testing NM package works fine on connecting 
hidden AP.  
Comment 13 Jane Lv 2008-04-18 01:57:19 EDT
On RHEL5.2-sp4, NetworkManager works well w/ connecting hidden AP.  Verify this bug.
Comment 15 errata-xmlrpc 2008-05-21 11:05:41 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0314.html

Note You need to log in before you can comment on or make changes to this bug.